Summary:	Software version of a PKCS#11 Hardware Security Module
Name:		softhsm
Version:	1.3.4
%define subrel 1
Release:	%mkrel 5
License:	BSD
URL:		http://www.opendnssec.org/
Source:		http://www.opendnssec.org/files/source/%{name}-%{version}.tar.gz
Group:		System/Base
BuildRequires:	botan-devel >= 1.10.12
BuildRequires:	sqlite3-devel >= 3.4.2
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description
OpenDNSSEC is providing a software implementation of a generic 
cryptographic device with a PKCS#11 interface, the SoftHSM. SoftHSM is 
designed to meet the requirements of OpenDNSSEC, but can also work together 
with other cryptographic products because of the PKCS#11 interface.

%package	devel
Summary:	Development package of softhsm that includes the header files
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	botan-devel
Requires:	sqlite3-devel

%description	devel
This package contains the libsofthsm include files.

%prep

%setup -q

%build
%configure2_5x \
    --disable-static \
    --with-botan=%{_prefix}

%make

%check
make check

%install

%makeinstall_std

install -d %{buildroot}%{_includedir}/softhsm
cp src/lib/*.h %{buildroot}%{_includedir}/softhsm

rm %{buildroot}/etc/softhsm.conf.sample
rm -f %{buildroot}%{_libdir}/softhsm/*a

%pre
%_pre_useradd %{name} /var/lib/%{name} /sbin/nologin

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/softhsm.conf
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libsofthsm.so
%attr(0770,%{name},%{name}) %dir /var/lib/%{name}
%{_mandir}/*/*

%files devel
%attr(0755,root,root) %dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h



%changelog
* Sun Feb 28 2016 oden <oden> 1.3.4-5.1.mga5
+ Revision: 980488
- make sure botan-1.10.12 devel is pulled in
- rebuilt due to new botan libs

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-5.mga5
+ Revision: 740428
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-4.mga5
+ Revision: 689236
- Mageia 5 Mass Rebuild

* Tue May 06 2014 pterjan <pterjan> 1.3.4-3.mga5
+ Revision: 620357
- Worakround configure not finding botan

* Fri Oct 18 2013 umeabot <umeabot> 1.3.4-2.mga4
+ Revision: 521334
- Mageia 4 Mass Rebuild

* Mon Jan 21 2013 oden <oden> 1.3.4-1.mga3
+ Revision: 390442
- imported package softhsm

